请问我的是什么问题?

GnomeShell/Unity/Beryl/AiGLX/XGL/Compiz Fusion
回复
leilei_cool
帖子: 47
注册时间: 2007-08-10 15:21
送出感谢: 0
接收感谢: 0

请问我的是什么问题?

#1

帖子 leilei_cool » 2007-08-12 16:01

驱动安装正确了,ATIX1600



正在读取软件包列表... 完成
wanglei@wanglei:~$ sudo apt-get dist-upgrade
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
正在筹划升级... 完成
下列软件包将被【卸载】:
compiz compiz-gtk compiz-plugins desktop-effects ubuntu-desktop
下列的软件包将被升级:
compiz-core compiz-gnome libdecoration0
共升级了 3 个软件包,新安装了 0 个软件包,要卸载 5 个软件包,有 0 个软件未被升级。
需要下载 693kB 的软件包。
解压缩后将会空出 590kB 的空间。
您希望继续执行吗?[Y/n]y
获取:1 http://download.tuxfamily.org feisty/eyecandy libdecoration0 1:0.5.1+git20070730~3v1ubuntu0 [45.5kB]
获取:2 http://download.tuxfamily.org feisty/eyecandy compiz-gnome 1:0.5.1+git20070730~3v1ubuntu0 [170kB]
获取:3 http://download.tuxfamily.org feisty/eyecandy compiz-core 1:0.5.1+git20070730~3v1ubuntu0 [478kB]
下载 693kB,耗时 50s (13.7kB/s)
(正在读取数据库 ... 系统当前总共安装有 101838 个文件和目录。)
正在删除 ubuntu-desktop ...
正在删除 desktop-effects ...
正在删除 compiz ...
(正在读取数据库 ... 系统当前总共安装有 101819 个文件和目录。)
正预备替换 libdecoration0 1:0.3.6-1ubuntu13 (使用 .../libdecoration0_1%3a0.5.1+git20070730~3v1ubuntu0_i386.deb) ...
正在解压缩将用于更替的包文件 libdecoration0 ...
dpkg:compiz-gtk:有依赖问题,但是如您所愿还是继续删除:
compiz-gnome 依赖于 compiz-gtk (= 1:0.3.6-1ubuntu13).
(正在读取数据库 ... 系统当前总共安装有 101818 个文件和目录。)
正在删除 compiz-gtk ...
(正在读取数据库 ... 系统当前总共安装有 101808 个文件和目录。)
正预备替换 compiz-gnome 1:0.3.6-1ubuntu13 (使用 .../compiz-gnome_1%3a0.5.1+git20070730~3v1ubuntu0_i386.deb) ...
正在解压缩将用于更替的包文件 compiz-gnome ...
dpkg:处理 /var/cache/apt/archives/compiz-gnome_1%3a0.5.1+git20070730~3v1ubuntu0_i386.deb (--unpack)时出错:
正试图覆盖“/usr/lib/compiz/libgconf.so”,它属于软件包 compiz-plugins
在处理时有错误发生:
/var/cache/apt/archives/compiz-gnome_1%3a0.5.1+git20070730~3v1ubuntu0_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
wanglei@wanglei:~$ sudo apt-get install compiz compiz-gnome
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
下列【新】软件包将被安装:
compiz
下列的软件包将被升级:
compiz-gnome
共升级了 1 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 2 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
需要下载 28.8kB/198kB 的软件包。
解压缩后会消耗掉 1389kB 的额外空间。
获取:1 http://download.tuxfamily.org feisty/eyecandy compiz 1:0.5.1+git20070730~3v1ubuntu0 [28.8kB]
下载 28.8kB,耗时 5s (5716B/s)
(正在读取数据库 ... 系统当前总共安装有 101808 个文件和目录。)
正预备替换 compiz-gnome 1:0.3.6-1ubuntu13 (使用 .../compiz-gnome_1%3a0.5.1+git20070730~3v1ubuntu0_i386.deb) ...
正在解压缩将用于更替的包文件 compiz-gnome ...
dpkg:处理 /var/cache/apt/archives/compiz-gnome_1%3a0.5.1+git20070730~3v1ubuntu0_i386.deb (--unpack)时出错:
正试图覆盖“/usr/lib/compiz/libgconf.so”,它属于软件包 compiz-plugins
选中了曾被取消选择的软件包 compiz。
正在解压缩 compiz (从 .../compiz_1%3a0.5.1+git20070730~3v1ubuntu0_all.deb) ...
在处理时有错误发生:
/var/cache/apt/archives/compiz-gnome_1%3a0.5.1+git20070730~3v1ubuntu0_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
wanglei@wanglei:~$
wanglei@wanglei:~$ sudo apt-get install compizconfig-settings-manager
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
compiz: 依赖: compiz-decorator
compiz-gnome: 依赖: compiz-gtk (= 1:0.3.6-1ubuntu13) 但却无法安装它
compizconfig-settings-manager: 依赖: python-compizconfig 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
wanglei@wanglei:~$
wanglei@wanglei:~$ sudo apt-get install compiz-fusion-*
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
注意,根据正则表达式“compiz-fusion-*”选中了 compiz-fusion-plugins-unofficial
注意,根据正则表达式“compiz-fusion-*”选中了 compiz-fusion-plugins-extra
注意,根据正则表达式“compiz-fusion-*”选中了 compiz-fusion-plugins-unsupported
注意,根据正则表达式“compiz-fusion-*”选中了 compiz-fusion-plugins-main
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
compiz: 依赖: compiz-decorator
compiz-gnome: 依赖: compiz-gtk (= 1:0.3.6-1ubuntu13) 但却无法安装它
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
wanglei@wanglei:~$ apt-get -f install
E: 无法打开锁文件 /var/lib/dpkg/lock - open (13 Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
wanglei@wanglei:~$ sudo gedit /etc/apt/sources.list
Loading simple Config module ...
Creating backend ...
Loading socket FrontEnd module ...
Starting SCIM as daemon ...
wanglei@wanglei:~$ wget http://www.beerorkid.com/compiz/quinn.key.asc -O - | sudo apt-key add -
--15:59:27-- http://www.beerorkid.com/compiz/quinn.key.asc
=> `-'
正在解析主机 www.beerorkid.com... 208.113.136.19
正在连接 www.beerorkid.com|208.113.136.19|:80... 已连接。
已发出 HTTP 请求,正在等待回应... 404
15:59:30 错误 404:(\346\262\241\346\234\211\346\217\217\350\277\260)。

gpg: 找不到有效的 OpenPGP 数据。
wanglei@wanglei:~$ wget http://www.beerorkid.com/compiz/quinn.key.asc -O - | sudo apt-key add -
--15:59:43-- http://www.beerorkid.com/compiz/quinn.key.asc
=> `-'
正在解析主机 www.beerorkid.com... 208.113.136.19
正在连接 www.beerorkid.com|208.113.136.19|:80... 已连接。
已发出 HTTP 请求,正在等待回应... 404
15:59:45 错误 404:(\346\262\241\346\234\211\346\217\217\350\277\260)。

gpg: 找不到有效的 OpenPGP 数据。
wanglei@wanglei:~$ compiz --replace
/usr/bin/compiz.real: No composite extension
窗口管理器警告: 显示“:0.0”上的屏幕 0 已经有一个窗口管理器;请尝试使用 --replace 选项替换当前的窗口管理器。
wanglei@wanglei:~$
leilei_cool
帖子: 47
注册时间: 2007-08-10 15:21
送出感谢: 0
接收感谢: 0

#2

帖子 leilei_cool » 2007-08-12 16:33

compiz: 依赖: compiz-decorator
compizconfig-settings-manager: 依赖: python-compizconfig 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
leilei_cool
帖子: 47
注册时间: 2007-08-10 15:21
送出感谢: 0
接收感谢: 0

#3

帖子 leilei_cool » 2007-08-15 9:03

没人知道吗
hanben2000
帖子: 150
注册时间: 2007-01-02 16:16
送出感谢: 0
接收感谢: 0

#4

帖子 hanben2000 » 2007-08-29 15:25

我也碰到这个问题
没人有知道怎么解决吗?
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#5

帖子 eexpress » 2007-08-29 15:29

您可能需要运行“apt-get -f install”来纠正下列错误:

另外:
多用aptitude

代码: 全选

☎  grep aptitude .bashrc
alias ai='sudo aptitude install'
alias ar='sudo aptitude remove --purge'
alias au='sudo aptitude update'
alias ag='sudo aptitude upgrade'
alias as='aptitude search'
alias aw='aptitude show'
● 鸣学
hanben2000
帖子: 150
注册时间: 2007-01-02 16:16
送出感谢: 0
接收感谢: 0

#6

帖子 hanben2000 » 2007-08-29 15:40

我出现这个问题后用“apt-get -f install”都不能纠正
回复

回到 “桌面特效”